<?php

namespace Modules\DemandeAchat\Controller;

use Skeleton\Controller\Controller;
use Helpers\Trad\Trad;

class ConversionTypeDemandeAchatController extends Controller
{
    public function conversionTypeAction(): string
    {
        $numDA = $this->request->getAttribute('idDA');
        $trad = $this->getTranslationService();

        return $this->renderer->render('@DemandeAchat/Popup/popupConfirmation', [
            'message' => Trad::strBuild($trad->t("La demande d'achat n° @1@ est convertie."), $numDA),
            'path' => $this->router->generateUri('DemandeAchat.GestionDemandeAchat.index'),
        ]);
    }
}
